diff --git a/changelog b/changelog
index d400896..2a31548 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,21 @@
+20141207 tpd src/axiom-website/patches.html 20141207.03.tpd.patch
+20141207 tpd books/bookvol10.4 NAGF02 absorb src/input test case files
+20141207 tpd src/input/Makefile remove f02 files
+20141207 tpd src/input/f02aaf.input absorbed, removed
+20141207 tpd src/input/f02abf.input absorbed, removed
+20141207 tpd src/input/f02adf.input absorbed, removed
+20141207 tpd src/input/f02aef.input absorbed, removed
+20141207 tpd src/input/f02aff.input absorbed, removed
+20141207 tpd src/input/f02agf.input absorbed, removed
+20141207 tpd src/input/f02ajf.input absorbed, removed
+20141207 tpd src/input/f02akf.input absorbed, removed
+20141207 tpd src/input/f02awf.input absorbed, removed
+20141207 tpd src/input/f02axf.input absorbed, removed
+20141207 tpd src/input/f02bbf.input absorbed, removed
+20141207 tpd src/input/f02bjf.input absorbed, removed
+20141207 tpd src/input/f02fjf.input absorbed, removed
+20141207 tpd src/input/f02wef.input absorbed, removed
+20141207 tpd src/input/f02xef.input absorbed, removed
 20141207 tpd src/axiom-website/patches.html 20141207.02.tpd.patch
 20141207 tpd books/bookvol10.4 NAGF01 absorb src/input test case files
 20141207 tpd src/input/Makefile remove f01 files
diff --git a/patch b/patch
index b08194c..d49cf92 100644
--- a/patch
+++ b/patch
@@ -1,2 +1,2 @@
-books/bookvol10.4 NAGF01 absorb src/input test case files
+books/bookvol10.4 NAGF02 absorb src/input test case files
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9f20820..0569a52 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4774,6 +4774,8 @@ books/bookvol10.4 D02AGNT absorb src/input test case files<br/>
 books/bookvol10.4 D03AGNT absorb src/input test case files<br/>
 <a href="patches/20141207.02.tpd.patch">20141207.02.tpd.patch</a>
 books/bookvol10.4 NAGF01 absorb src/input test case files<br/>
+<a href="patches/20141207.03.tpd.patch">20141207.03.tpd.patch</a>
+books/bookvol10.4 NAGF02 absorb src/input test case files<br/>
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 007072f..0f39d09 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -198,11 +198,7 @@ SKIP= as-eg1.output as-eg2.output    \
       drawpoly.output  drawx.output     dropt.output     \
       egg.output       \
       explot2d.output  explot3d.output  \
-      f02aaf.output    \
-      f02abf.output    f02adf.output    f02aef.output    f02aff.output    \
-      f02agf.output    f02ajf.output    f02akf.output    f02awf.output    \
-      f02axf.output    f02bbf.output    f02bjf.output    f02fjf.output    \
-      f02wef.output    f02xef.output    f04adf.output    f04arf.output    \
+      f04adf.output    f04arf.output    \
       f04asf.output    f04atf.output    f04axf.output    f04faf.output    \
       f04jgf.output    f04maf.output    f04mbf.output    f04mcf.output    \
       f04qaf.output    f07adf.output    f07aef.output    f07fdf.output    \
@@ -624,12 +620,7 @@ ASFILES=${OUT}/aseg6.as   ${OUT}/aseg7.as  ${OUT}/ecfact.as \
         ${OUT}/hilbert.as ${OUT}/matops.as ${OUT}/pdecomp0.as \
         ${OUT}/romnum.as
 
-NAGLIB=${OUT}/f02aaf.input   ${OUT}/f02abf.input \
-       ${OUT}/f02adf.input   ${OUT}/f02aef.input     ${OUT}/f02aff.input \
-       ${OUT}/f02agf.input   ${OUT}/f02ajf.input     ${OUT}/f02akf.input \
-       ${OUT}/f02awf.input   ${OUT}/f02axf.input     ${OUT}/f02bbf.input \
-       ${OUT}/f02bjf.input   ${OUT}/f02fjf.input     ${OUT}/f02wef.input \
-       ${OUT}/f02xef.input   ${OUT}/f04adf.input     ${OUT}/f04arf.input \
+NAGLIB=${OUT}/f04adf.input     ${OUT}/f04arf.input \
        ${OUT}/f04asf.input   ${OUT}/f04atf.input     ${OUT}/f04axf.input \
        ${OUT}/f04faf.input   ${OUT}/f04jgf.input     ${OUT}/f04maf.input \
        ${OUT}/f04mbf.input   ${OUT}/f04mcf.input     ${OUT}/f04qaf.input \
@@ -1061,14 +1052,7 @@ DOCFILES= \
   ${DOC}/expr1.input.dvi       ${DOC}/expr.input.dvi       \
   ${DOC}/exprode.input.dvi     ${DOC}/exprpoly.input.dvi   \
   ${DOC}/exseries.input.dvi    ${DOC}/exsum.input.dvi      \
-  ${DOC}/f02aaf.input.dvi      ${DOC}/f02abf.input.dvi     \
-  ${DOC}/f02adf.input.dvi      ${DOC}/f02aef.input.dvi     \
-  ${DOC}/f02aff.input.dvi      ${DOC}/f02agf.input.dvi     \
-  ${DOC}/f02ajf.input.dvi      ${DOC}/f02akf.input.dvi     \
-  ${DOC}/f02awf.input.dvi      ${DOC}/f02axf.input.dvi     \
-  ${DOC}/f02bbf.input.dvi      ${DOC}/f02bjf.input.dvi     \
-  ${DOC}/f02fjf.input.dvi      ${DOC}/f02wef.input.dvi     \
-  ${DOC}/f02xef.input.dvi      ${DOC}/f04adf.input.dvi     \
+  ${DOC}/f04adf.input.dvi     \
   ${DOC}/f04arf.input.dvi      ${DOC}/f04asf.input.dvi     \
   ${DOC}/f04atf.input.dvi      ${DOC}/f04axf.input.dvi     \
   ${DOC}/f04faf.input.dvi      ${DOC}/f04jgf.input.dvi     \
diff --git a/src/input/f02aaf.input.pamphlet b/src/input/f02aaf.input.pamphlet
deleted file mode 100644
index e357f7c..0000000
--- a/src/input/f02aaf.input.pamphlet
+++ /dev/null
@@ -1,36 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f02aaf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-ia:=4
-n:=4
-a:Matrix SF:=
- [[ 0.5 , 0.0 , 2.3 ,-2.6 ],_
-  [ 0.0 , 0.5 ,-1.4 ,-0.7 ],_
-  [ 2.3 ,-1.4 , 0.5 , 0.0 ],_
-  [-2.6 ,-0.7 , 0.0 , 0.5 ]]
-result:=f02aaf(ia,n,a,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/f02abf.input.pamphlet b/src/input/f02abf.input.pamphlet
deleted file mode 100644
index 73cc384..0000000
--- a/src/input/f02abf.input.pamphlet
+++ /dev/null
@@ -1,37 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f02abf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-a:Matrix SF:=
- [[ 0.5 , 0.0 , 2.3 ,-2.6 ],_
-  [ 0.0 , 0.5 ,-1.4 ,-0.7 ],_
-  [ 2.3 ,-1.4 , 0.5 , 0.0 ],_
-  [-2.6 ,-0.7 , 0.0 , 0.5 ]]
-ia:=4
-n:=4
-iv:=4
-result:=f02abf(a,ia,n,iv,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/f02adf.input.pamphlet b/src/input/f02adf.input.pamphlet
deleted file mode 100644
index 7caf9b6..0000000
--- a/src/input/f02adf.input.pamphlet
+++ /dev/null
@@ -1,42 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f02adf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-ia:=4
-ib:=4
-n:=4
-a:Matrix SF:=
- [[0.5 , 1.5 , 6.6 ,  4.8 ],_
-  [1.5 , 6.5 ,16.2 ,  8.6 ],_
-  [6.6 ,16.2 ,37.6 ,  9.8 ],_
-  [4.8 , 8.6 , 9.8 ,-17.1 ]]
-b:Matrix SF:=
- [[1 , 3 , 4 , 1 ],_
-  [3 ,13 ,16 ,11 ],_
-  [4 ,16 ,24 ,18 ],_
-  [1 ,11 ,18 ,27 ]]
-result:=f02adf(ia,ib,n,a,b,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/f02aef.input.pamphlet b/src/input/f02aef.input.pamphlet
deleted file mode 100644
index bc9cfb7..0000000
--- a/src/input/f02aef.input.pamphlet
+++ /dev/null
@@ -1,43 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f02aef.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-ia:=4
-ib:=4
-n:=4
-iv:=4
-a:Matrix SF:=
- [[0.5 , 1.5 , 6.6 ,  4.8 ],_
-  [1.5 , 6.5 ,16.2 ,  8.6 ],_
-  [6.6 ,16.2 ,37.6 ,  9.8 ],_
-  [4.8 , 8.6 , 9.8 ,-17.1 ]]
-b:Matrix SF:=
- [[1 , 3 , 4 , 1 ],_
-  [3 ,13 ,16 ,11 ],_
-  [4 ,16 ,24 ,18 ],_
-  [1 ,11 ,18 ,27 ]]
-result:=f02aef(ia,ib,n,iv,a,b,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/f02aff.input.pamphlet b/src/input/f02aff.input.pamphlet
deleted file mode 100644
index 1e9879e..0000000
--- a/src/input/f02aff.input.pamphlet
+++ /dev/null
@@ -1,36 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f02aff.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-ia:=4
-n:=4
-a:Matrix SF:=
- [[  1.5 ,0.1 , 4.5 ,-1.5 ],_
-  [-22.5 ,3.5 ,12.5 ,-2.5 ],_
-  [ -2.5 ,0.3 , 4.5 ,-2.5 ],_
-  [ -2.5 ,0.1 , 4.5 , 2.5 ]]
-result:=f02aff(ia,n,a,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/f02agf.input.pamphlet b/src/input/f02agf.input.pamphlet
deleted file mode 100644
index c3a35b3..0000000
--- a/src/input/f02agf.input.pamphlet
+++ /dev/null
@@ -1,38 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f02agf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-ia:=4
-n:=4
-ivr:=4
-ivi:=4
-a:Matrix SF:=
- [[  1.5 ,0.1 , 4.5 ,-1.5 ],_
-  [-22.5 ,3.5 ,12.5 ,-2.5 ],_
-  [ -2.5 ,0.3 , 4.5 ,-2.5 ],_
-  [ -2.5 ,0.1 , 4.5 , 2.5 ]]
-result:=f02agf(ia,n,ivr,ivi,a,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/f02ajf.input.pamphlet b/src/input/f02ajf.input.pamphlet
deleted file mode 100644
index 01d2bfb..0000000
--- a/src/input/f02ajf.input.pamphlet
+++ /dev/null
@@ -1,42 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f02ajf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-iar:=4
-iai:=4
-n:=4
-ar:Matrix SF:=
- [[-21.0 , 0.0 ,13.6 ,0.0 ],_
-  [  0.0 ,26.0 , 7.5 ,2.5 ],_
-  [ -2.0 , 1.68, 4.5 ,1.5 ],_
-  [  0.0 ,-2.6 ,-2.7 ,2.5 ]]
-ai:Matrix SF:=
- [[-5.0 ,24.6 ,  10.2 ,4.0 ],_
-  [22.5 ,-5.0 , -10.0 ,0.0 ],_
-  [ 1.5 , 2.24 ,-5.0 , 2.0 ],_
-  [-2.5 , 0.0 ,  3.6 ,-5.0 ]]
-result:=f02ajf(iar,iai,n,ar,ai,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/f02akf.input.pamphlet b/src/input/f02akf.input.pamphlet
deleted file mode 100644
index a439941..0000000
--- a/src/input/f02akf.input.pamphlet
+++ /dev/null
@@ -1,44 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f02akf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-iar:=4
-iai:=4
-n:=4
-ivr:=4
-ivi:=4
-ar:Matrix SF:=
- [[-21.0 , 0.0 ,13.6 ,0.0 ],_
-  [  0.0 ,26.0 , 7.5 ,2.5 ],_
-  [ -2.0 , 1.68 ,4.5 ,1.5 ],_
-  [  0.0 ,-2.6 ,-2.7 ,2.5 ]]
-ai:Matrix SF:=
- [[-5.0 ,24.6  ,10.2 , 4.0 ],_
-  [22.5 ,-5.0 ,-10.0 , 0.0 ],_
-  [ 1.5 , 2.24 ,-5.0 , 2.0 ],_
-  [-2.5 , 0.0 ,  3.6 ,-5.0 ]]
-result:=f02akf(iar,iai,n,ivr,ivi,ar,ai,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/f02awf.input.pamphlet b/src/input/f02awf.input.pamphlet
deleted file mode 100644
index 1009268..0000000
--- a/src/input/f02awf.input.pamphlet
+++ /dev/null
@@ -1,42 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f02awf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-iar:=4
-iai:=4
-n:=4
-ar:Matrix SF:=
- [[0.5 ,  0.0 , 1.84 , 2.08 ],_
-  [0.0 ,  0.5 , 1.12 ,-0.56 ],_
-  [1.84 , 1.12 ,0.5 ,  0.0 ],_
-  [2.08 ,-0.56 ,0.0 ,  0.5 ]]
-ai:Matrix SF:=
- [[ 0.0 ,  0.0 , 1.38 ,-1.56 ],_
-  [ 0.0 ,  0.0 , 0.84 , 0.42 ],_
-  [-1.38 ,-0.84 ,0.0 ,  0.0 ],_
-  [ 1.56 ,-0.42 ,0.0 ,  0.0 ]]
-result:=f02awf(iar,iai,n,ar,ai,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/f02axf.input.pamphlet b/src/input/f02axf.input.pamphlet
deleted file mode 100644
index c6155ec..0000000
--- a/src/input/f02axf.input.pamphlet
+++ /dev/null
@@ -1,44 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f02axf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-ar:Matrix SF:=
- [[0.5 ,0.0 ,1.84 ,2.08 ],_
-  [0.0 ,0.5 ,1.12 ,-0.56 ],_
-  [1.84 ,1.12 ,0.5 ,0.0 ],_
-  [2.08 ,-0.56 ,0.0 ,0.5 ]]
-iar:=4
-ai:Matrix SF:=
- [[0.0 ,0.0 ,1.38 ,-1.56 ],_
-  [0.0 ,0.0 ,0.84 ,0.42 ],_
-  [-1.38 ,-0.84 ,0.0 ,0.0 ],_
-  [1.56 ,-0.42 ,0.0 ,0.0 ]]
-iai:=4
-n:=4
-ivr:=4
-ivi:=4
-result:=f02axf(ar,iar,ai,iai,n,ivr,ivi,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/f02bbf.input.pamphlet b/src/input/f02bbf.input.pamphlet
deleted file mode 100644
index 9c1b733..0000000
--- a/src/input/f02bbf.input.pamphlet
+++ /dev/null
@@ -1,40 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f02bbf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-ia:=4
-n:=4
-alb:=-2.0
-ub:=3.0
-m:=3
-iv:=4
-a:Matrix SF:=
- [[0.5 ,0.0 ,2.3 ,-2.6 ],_
-  [0.0 ,0.5 ,-1.4 ,-0.7 ],_
-  [2.3 ,-1.4 ,0.5 ,0.0 ],_
-  [-2.6 ,-0.7 ,0.0 ,0.5 ]]
-result:=f02bbf(ia,n,alb,ub,m,iv,a,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/f02bjf.input.pamphlet b/src/input/f02bjf.input.pamphlet
deleted file mode 100644
index 6f9dc3f..0000000
--- a/src/input/f02bjf.input.pamphlet
+++ /dev/null
@@ -1,45 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f02bjf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-n:=4
-ia:=4
-ib:=4
-eps1:SF:=1.0e-4
-matv:=true
-iv:=4
-a:Matrix SF:=
- [[3.9 ,12.5 ,-34.5 ,-0.5 ],_
-  [4.3 ,21.5 ,-47.5 ,7.5 ],_
-  [4.3 ,21.5 ,-43.5 ,3.5 ],_
-  [4.4 ,26.0 ,-46.0 ,6.0 ]]
-b:Matrix SF:=
- [[1 ,2 ,-3 ,1 ],_
-  [1 ,3 ,-5 ,4 ],_
-  [1 ,3 ,-4 ,3 ],_
-  [1 ,3 ,-4 ,4 ]]
-result:=f02bjf(n,ia,ib,eps1,matv,iv,a,b,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/f02fjf.input.pamphlet b/src/input/f02fjf.input.pamphlet
deleted file mode 100644
index d85c7cd..0000000
--- a/src/input/f02fjf.input.pamphlet
+++ /dev/null
@@ -1,76 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f02fjf.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)cl all
-showArrayValues true
-showScalarValues true
-
-n : Integer := 16;
-k : Integer := 6
-tol : DoubleFloat := 0.0001
-novecs : Integer := 0
-nrx : Integer := n
-lwork : Integer := 86
-lrwork : Integer := 1;
-liwork : Integer := 1;
-noits : Integer := 1000
-m : Integer := 4;
-x :Matrix SF:=new(nrx,k,0.0);
-ifail : Integer := -1
-a :Matrix FRAC INT:= new(n,n,0);
-a(1,1) := 1;
-a(1,2) := -1/4;
-a(1,5) := -1/4;
-for i in 2..4 repeat
-  a(i,i-1) := -1/4
-  a(i,i) := 1
-  a(i,i+1) := -1/4 
-  a(i,i+4) := -1/4
-for i in 5..n-4 repeat
-  a(i,i-4) := -1/4
-  a(i,i-1) := -1/4
-  a(i,i) :=   1
-  a(i,i+1) := -1/4
-  a(i,i+4) := -1/4
-for i in n-3..n-1 repeat
-  a(i,i-4) := -1/4
-  a(i,i-1) := -1/4
-  a(i,i) :=   1
-  a(i,i+1) := -1/4
-a(16,16) := 1;
-a(16,15) := -1/4;
-a(16,12) := -1/4;
-b:Matrix FRAC INT:= new(n,n,0);
-b(1,1) := 1
-b(1,2) := -1/2
-for i in 2..n-1 repeat
-  b(i,i-1) := -1/2
-  b(i,i) := 1
-  b(i,i+1) := -1/2
-b(16,15) := -1/2
-b(16,16) := 1
-c : Matrix MachineFloat := (inverse (a))*b;
-bb  := b :: Matrix MachineFloat
-result:=f02fjf(n,k,tol,novecs,nrx,lwork,lrwork,liwork,m,noits,_
-               x,ifail,bb :: ASP27('DOT),c :: ASP28('IMAGE))
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/f02wef.input.pamphlet b/src/input/f02wef.input.pamphlet
deleted file mode 100644
index 3179fc3..0000000
--- a/src/input/f02wef.input.pamphlet
+++ /dev/null
@@ -1,47 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f02wef.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)cl all
-showArrayValues true
-showScalarValues true
-
-m := 5
-n := 3
-a  : Matrix SF:= 
- [[ 2.0, 2.5, 2.5],_
-  [ 2.0, 2.5, 2.5],_
-  [ 1.6,-0.4, 2.8],_
-  [ 2.0,-0.5, 0.5],_
-  [ 1.2,-0.3,-2.9] ]
-lda := m
-ncolb := 1
-b : Matrix SF:= 
- [[ 1.1, 0.9, 0.6, 0.0, -0.8 ]]
-ldb := 5
-wantq := true
-wantp := true
-ldq := 1
-ldpt := n
-ifail := -1
-result:=f02wef(m,n,lda,ncolb,ldb,wantq,ldq,wantp,ldpt,a,b,ifail)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
diff --git a/src/input/f02xef.input.pamphlet b/src/input/f02xef.input.pamphlet
deleted file mode 100644
index 45ca09d..0000000
--- a/src/input/f02xef.input.pamphlet
+++ /dev/null
@@ -1,50 +0,0 @@
-\documentclass{article}
-\usepackage{axiom}
-\setlength{\textwidth}{400pt}
-\begin{document}
-\title{\$SPAD/src/input f02xef.input}
-\author{The Axiom Team}
-\maketitle
-\begin{abstract}
-\end{abstract}
-\eject
-\tableofcontents
-\eject
-\section{License}
-\begin{chunk}{license}
---Copyright The Numerical Algorithms Group Limited 1994.
-\end{chunk}
-\begin{chunk}{*}
-\getchunk{license}
-)clear all
-showArrayValues true
-showScalarValues true
-
-m:=5
-n:=3
-lda:=5
-ncolb:=1
-ldb:=5
-wantq:=true
-ldq:=5
-wantp:=true
-ldph:=3
-a:Matrix Complex SF:=
- [[0.5*%i ,-0.5 + 1.5*%i ,-1 + 1*%i ],_
-  [0.4 + 0.3*%i ,0.9 + 1.3*%i ,0.2 + 1.4*%i ],_
-  [0.4 ,-0.4 + 0.4*%i ,1.8 ],_
-  [0.3 - 0.4*%i ,0.1 + 0.7*%i ,0.0 ],_
-  [-0.3*%i ,0.3 + 0.3*%i ,2.4*%i ]]
-b:Matrix Complex SF:=
- [[-0.55+1.05*%i ],_
-  [0.49+0.93*%i ],_
-  [0.56-0.16*%i ],_
-  [0.39+0.23*%i ],_
-  [1.13+0.83*%i ]] 
-result:=f02xef(m,n,lda,ncolb,ldb,wantq,ldq,wantp,ldph,a,b,-1)
-\end{chunk}
-\eject
-\begin{thebibliography}{99}
-\bibitem{1} nothing
-\end{thebibliography}
-\end{document}
